org.apache.lucene.search.grouping

## Class AbstractAllGroupHeadsCollector.TemporalResult

- java.lang.Object
- - org.apache.lucene.search.grouping.AbstractAllGroupHeadsCollector.TemporalResult

Enclosing class:
  AbstractAllGroupHeadsCollector<GH extends AbstractAllGroupHeadsCollector.GroupHead>

    protected class AbstractAllGroupHeadsCollector.TemporalResult
    extends Object

Contains the result of group head retrieval. To prevent new object creations of this class for every collect.

### Field Summary

Fields
`GH` `groupHead`
`boolean` `stop`

### Constructor Summary

Constructors
`protected` `AbstractAllGroupHeadsCollector.TemporalResult()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### groupHead

    public GH extends AbstractAllGroupHeadsCollector.GroupHead groupHead

#### stop

    public boolean stop

### Constructor Detail

#### AbstractAllGroupHeadsCollector.TemporalResult

    protected AbstractAllGroupHeadsCollector.TemporalResult()